Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592568 - net-irc/hexchat fails to build with >=dev-libs/openssl-1.1.0
Summary: net-irc/hexchat fails to build with >=dev-libs/openssl-1.1.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Anthony Ryan
URL: https://github.com/hexchat/hexchat/is...
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2016-08-31 09:41 UTC by Lars Wendler (Polynomial-C)
Modified: 2018-10-24 16:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,29.54 KB, text/plain)
2016-08-31 09:41 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2016-08-31 09:41:48 UTC
Created attachment 444588 [details]
build.log

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DG_DISABLE_SINGLE_INCLUDES -pthread -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -D_REENTRANT   -march=native -mtune=native -O2 -pipe -Wall -Wno-pointer-sign -funsigned-char -Wno-unused-result   -c -o libhexchatcommon_a-server.o `test -f 'server.c' || echo './'`server.c
server.c: In function ‘ssl_cb_verify’:
server.c:610:47: error: dereferencing pointer to incomplete type ‘X509_STORE_CTX {aka struct x509_store_ctx_st}’
  X509_NAME_oneline (X509_get_subject_name (ctx->current_cert), subject,
                                               ^
server.c: In function ‘ssl_do_connect’:
server.c:777:16: error: dereferencing pointer to incomplete type ‘SSL {aka struct ssl_st}’
   if (serv->ssl->session && serv->ssl->session->time + SSLTMOUT < time (NULL))
                ^
make[5]: *** [Makefile:888: libhexchatcommon_a-server.o] Error 1
make[5]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.10.2-r1/work/hexchat-2.10.2/src/common'
make[4]: *** [Makefile:1029: all-recursive] Error 1
make[4]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.10.2-r1/work/hexchat-2.10.2/src/common'
make[3]: *** [Makefile:532: all] Error 2
make[3]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.10.2-r1/work/hexchat-2.10.2/src/common'
make[2]: *** [Makefile:424: all-recursive] Error 1
make[2]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.10.2-r1/work/hexchat-2.10.2/src'
make[1]: *** [Makefile:471: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.10.2-r1/work/hexchat-2.10.2'
make: *** [Makefile:400: all] Error 2
Comment 1 Matthias Maier gentoo-dev 2016-10-05 05:38:11 UTC
commit 6816215a399ff87e5b1e2910c76b4386f7fa4736
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Wed Oct 5 00:32:46 2016 -0500

    net-irc/hexchat: dropping proxied maintainer and proxy-maint
    
    This packages hasn't seen any update at all, no reaction to bugs since 2014.
    Further, it is not listed on the list of proxy maintained packages [1].
    
    [1] https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers/Proxy_Maintained_Packages
    
    Package-Manager: portage-2.3.0
Comment 2 Anthony Ryan 2016-10-06 22:36:52 UTC
Fixed upstream for the next release: https://github.com/hexchat/hexchat/commit/439ff094ce0d1be5704d52bc445a22c1be01ab0d.patch
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2016-10-14 08:03:10 UTC
commit 6f7cab7b12ddc568b0aa0a9239905517e61478cb
Author: Anthony Ryan <anthonyryan1@gmail.com>
Date:   Thu Oct 6 22:59:11 2016

    net-irc/hexchat: version bump 2.12.2

    Gentoo-bug: 582952, 528052, 592568

    * EAPI 6
    * Removed USE=ipv6 (required by upstream)
    * Added USE=debug
    * Removed USE=ntlm (removed by upstream)
    * Removed USE=plugins (required for simplicity)
    * Removed eutils & multilib
    Closes: https://github.com/gentoo/gentoo/pull/2498

    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2016-10-31 20:51:06 UTC
Reopening as upstream added some more openssl-1.1.0 fixes to current git HEAD.
Comment 5 Anthony Ryan 2016-12-11 07:18:47 UTC
Upstream has a new release including their latest OpenSSL changes: https://github.com/gentoo/gentoo/pull/3077
Comment 6 nvinson234 2016-12-13 14:41:24 UTC
hexchat-2.12.4 merged into Gentoo tree.
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2017-04-05 14:42:10 UTC
Reopening. The package still fails whithout deprecated features from openssl:

libtool: link: x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -o hexchat hexchat-ascii.o hexchat-banlist.o hexchat-chanlist.o hexchat-chanview.o hexchat-custom-list.o hexchat-dccgui.o hexchat-editlist.o hexchat-fe-gtk.o hexchat-fkeys.o hexchat-gtkutil.o hexchat-ignoregui.o hexchat-joind.o hexchat-menu.o hexchat-maingui.o hexchat-notifygui.o notifications/hexchat-notification-libnotify.o hexchat-palette.o hexchat-pixmaps.o hexchat-plugin-tray.o hexchat-plugingui.o hexchat-plugin-notification.o hexchat-rawlog.o hexchat-servlistgui.o hexchat-setup.o hexchat-sexy-iso-codes.o hexchat-sexy-spell-entry.o hexchat-textgui.o hexchat-urlgrab.o hexchat-userlistgui.o hexchat-xtext.o hexchat-resources.o -Wl,--export-dynamic -pthread -pthread  -Wl,--as-needed ../../src/common/libhexchatcommon.a -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lnotify -lgdk_pixbuf-2.0 -lgmodule-2.0 -lgio-2.0 -lssl -lcrypto -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lgthread-2.0 -lglib-2.0 -lcanberra -pthread
../../src/common/libhexchatcommon.a(libhexchatcommon_a-ssl.o): In function `_SSL_context_init':
ssl.c:(.text+0x214): undefined reference to `SSLeay_add_ssl_algorithms'
ssl.c:(.text+0x21b): undefined reference to `SSL_load_error_strings'
../../src/common/libhexchatcommon.a(libhexchatcommon_a-ssl.o): In function `_SSL_get_cert_info':
ssl.c:(.text+0x394): undefined reference to `X509_get_notBefore'
ssl.c:(.text+0x3a9): undefined reference to `X509_get_notAfter'
../../src/common/libhexchatcommon.a(libhexchatcommon_a-ssl.o): In function `_SSL_check_hostname':
ssl.c:(.text+0x7b3): undefined reference to `ASN1_STRING_data'
ssl.c:(.text+0x90f): undefined reference to `ASN1_STRING_data'
../../src/common/libhexchatcommon.a(libhexchatcommon_a-ssl.o): In function `_SSL_close':
ssl.c:(.text+0x6fc): undefined reference to `ERR_remove_state'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:579: hexchat] Error 1
make[4]: Leaving directory '/var/tmp/portage/net-irc/hexchat-2.12.4-r2/work/hexchat-2.12.4/src/fe-gtk'
make[3]: *** [Makefile:478: all] Error 2
Comment 8 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-29 17:18:20 UTC
Since we decided to no longer build openssl without deprecated features, this bug can now be considered as fixed (but will eventually reappear once openssl upstream finally removed deprecated features from their code).